## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### GET /v2.0/snapshots

#### Try it

#### Get Snapshots

**cURL**

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/snapshots \
  --header 'X-API-Key: <api-key>'
```

**Python**

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/snapshots"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

**JavaScript (Fetch)**

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/snapshots', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/snapshots",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

**Go**

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/snapshots"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

**Java (Unirest)**

```java
HttpResponse<String> response = Unirest.get("https://api-trial.cognigy.ai/new/v2.0/snapshots")
  .header("X-API-Key", "<api-key>")
  .asString();
```

**Ruby**

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/snapshots")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

#### Responses

**Success Response (200)**
```json
{
  "items": [
    {
      "_id": "<string>",
      "name": "New Snapshot",
      "description": "Version 1",
      "isPackaged": true,
      "packageExpiresAt": 123,
      "hash": "<string>",
      "createdBy": "<string>",
      "createdAt": 1527621049
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

**Error Responses**

- **400 Bad Request**
  ```json
  {
    "type": "Bad Request",
    "title": "Bad Request Error",
    "status": 400,
    "detail": "Validation failed. Missing payload.",
    "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
    "code": 1000,
    "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
    "details": {}
  }
  ```

- **401 Unauthorized**
  ```json
  {
    "type": "Unauthorized",
    "title": "Unauthorized Error",
    "status": 401,
    "detail": "<string>",
    "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
    "code": 401,
    "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
    "details": {}
  }
  ```

#### Authorizations

- **X-API-Key**
    - **Type**: header
    - **Required**: Yes
    - **Description**: Supply the API Key in the HTTP-Header.

#### Headers

- **Accept**: (enum<string>) The `Accept` header specifies the media type that the client expects in the response:
    - `application/json`
    - `application/hal+json`
    - `application/xml`
    - `text/xml`
    - `text/csv`

#### Query Parameters

- **projectId**: string - The unique identifier for the Project (Required, length: 24, pattern: ^[a-z0-9]{24}$).
- **filter**: string - The string to filter Snapshots by name.
- **limit**: integer - The maximum number of items to return. (Default: 25, max: 100)
- **skip**: integer - The number of items to skip before returning results. (Default: 0)
- **sort**: string - The order in which results are returned. Format: `field:direction` (eg. `name:asc`). 
- **next**: string - The cursor for the next page of results (length: 24).
- **previous**: string - The cursor for the previous page of results (length: 24).

#### Last modified on
July 8, 2026
